Bug 690676 - -dUseCropBox use results in error
Summary: -dUseCropBox use results in error
Status: NOTIFIED FIXED
Alias: None
Product: Ghostscript
Classification: Unclassified
Component: General (show other bugs)
Version: 8.70
Hardware: PC All
: P4 normal
Assignee: Default assignee
QA Contact: Bug traffic
URL:
Keywords:
: 690507 690684 690892 690899 691169 (view as bug list)
Depends on:
Blocks:
 
Reported: 2009-07-31 10:46 UTC by Michael Vrhel
Modified: 2011-09-18 21:45 UTC (History)
5 users (show)

See Also:
Customer: 330
Word Size: ---


Attachments
patch (697 bytes, patch)
2009-07-31 11:56 UTC, Alex Cherepanov
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Vrhel 2009-07-31 10:46:39 UTC
Customer reports and I verified that using -dUseCropBox results in the 
following output.

GPL Ghostscript 8.70 (2009-07-28)
Copyright (C) 2009 Artifex Software, Inc.  All rights reserved.
This software comes with NO WARRANTY: see the file PUBLIC for details.
Processing pages 1 through 1.
Page 1

  **** Page has no /MediaBox attribute. Using the current page size.
Error: /stackunderflow in --run--
Operand stack:
  --dict:8/8(L)--   595.0   842.0   3

Execution stack:
  %interp_exit   .runexec2   --nostringval--   --nostringval--   --nostringval-
-   2   %stopped_push   --nostringval--   --nostringval--   --nostringval--   
fa
lse   1   %stopped_push   1862   1   3   %oparray_pop   1861   1   3   %
oparray_
pop   1845   1   3   %oparray_pop   --nostringval--   --nostringval--   2   1
1   --nostringval--   %for_pos_int_continue   --nostringval--   --nostringval--

Dictionary stack:
  --dict:1155/1684(ro)(G)--   --dict:1/20(G)--   --dict:75/200(L)--   --dict:75
/200(L)--   --dict:106/127(ro)(G)--   --dict:285/300(ro)(G)--   --dict:21/25
(L)-
-   --dict:2/6(L)--

Current allocation mode is local

GPL Ghostscript 8.70: Unrecoverable error, exit code 1
Comment 1 Michael Vrhel 2009-07-31 10:50:03 UTC
Created attachment 5260 [details]
bug_690676.pdf

File that shows problem.  I ran to tiff24nc device and also did
-dNOTRANSPARENCY just to make sure the issue was not there.  It had no effect.
Comment 2 Alex Cherepanov 2009-07-31 11:56:15 UTC
Created attachment 5264 [details]
patch

My previous version of get_any_box procedure was broken. It messed up the
operand stack when -dUseCropBox was requested but none was present
in the file.

Unfortunately, it's too late to include the patch into the upcoming release --
v. 8.70.

Regression testing shows no differences; it doesn't cover -dUseCropBox option.
Comment 3 Alex Cherepanov 2009-07-31 19:42:01 UTC
The patch has been committed as a rev. 9921.
Comment 4 Ken Sharp 2009-08-04 06:39:59 UTC
*** Bug 690684 has been marked as a duplicate of this bug. ***
Comment 5 Alex Cherepanov 2009-08-21 14:07:57 UTC
*** Bug 690507 has been marked as a duplicate of this bug. ***
Comment 6 Alex Cherepanov 2009-11-05 19:04:16 UTC
*** Bug 690892 has been marked as a duplicate of this bug. ***
Comment 7 Alex Cherepanov 2009-11-09 11:01:27 UTC
*** Bug 690899 has been marked as a duplicate of this bug. ***
Comment 8 Alex Cherepanov 2010-03-10 23:24:57 UTC
*** Bug 691169 has been marked as a duplicate of this bug. ***
Comment 9 Marcos H. Woehrmann 2011-09-18 21:45:56 UTC
Changing customer bugs that have been resolved more than a year ago to closed.